<?

include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
$temp_set=$set;
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/adm_check.php';
include_once '../sys/inc/user.php';
user_access('adm_set_user',null,'index.php?'.SID);
adm_check();
$set['title']='Пользовательские настройки';
include_once '../sys/inc/thead.php';
title();

if (isset($_POST['save'])){
if ($_POST['show_away']==1 || $_POST['show_away']==0){
$temp_set['show_away']=intval($_POST['show_away']);
}
if ($_POST['guest_select']==1 || $_POST['guest_select']==0){
$temp_set['guest_select']=intval($_POST['guest_select']);
}
$temp_set['reg_select']=esc($_POST['reg_select']);
if (save_settings($temp_set)){
admin_log('Настройки','Пользователи',"Изменение пользовательских настроек");
msg('Настройки успешно приняты');
}
else
$err='Нет прав для изменения файла настроек';
}

err();
aut();

echo '<div class="block">';
echo '<form method="post" action="?">';
echo 'Режим регистрации:</br>
<select class="input" name="reg_select">
<option value="close">Закрыта</option>';
if ($temp_set['reg_select']=='open')$sel=' selected="selected"';else $sel=NULL;
echo '<option value="open"'.$sel.'>Открыта</option>';
if ($temp_set['reg_select']=='open_mail')$sel=' selected="selected"';else $sel=NULL;
echo '<option value="open_mail"'.$sel.'>Открыта + E-mail</option>';
echo '</select>';
echo 'Режим гостя:</br>
<select class="input" name="guest_select">';
echo '<option value="0">Открыто все</option>';
if ($temp_set['guest_select']=='1')$sel=' selected="selected"';else $sel=NULL;
echo '<option value="1"'.$sel.'>Закрыто все</option>';
echo '</select>';
echo 'Показ away:</br>
<select class="input" name="show_away">';
if ($temp_set['show_away']==1)$sel=' selected="selected"';else $sel=NULL;
echo '<option value="1"'.$sel.'>Показывать</option>';
if ($temp_set['show_away']==0)$sel=' selected="selected"';else $sel=NULL;
echo '<option value="0"'.$sel.'>Скрывать</option>';
echo '</select>';
echo '<input class="button" value="Изменить" name="save" type="submit">';
echo '</form>';
echo '</div>';

if (user_access('adm_panel_show')){
echo '<a class="link3" href="/adm_panel/"><i class="material-icons icon">keyboard_arrow_left</i> Админ панель</a>';
}

include_once '../sys/inc/tfoot.php';

?>